Import("System.Windows.Application")
Import("System.Windows.Controls")
Import("System.Windows.Controls.UserControl")
Import("System")

function App() {
   this.scene = Application.Current.LoadRootVisual(new UserControl(), "app.xaml")
}
App.prototype = {
    start:function() {
        this.scene.list_movie.SelectionChanged += function (s,e){
            var url = app.movies[s.SelectedItem.Content];
            s.Parent.video.Source = new System.Uri(url);
        }
    },
    movies:{
        "SPIDER":"http://www.sonypictures.com/movies/spiderman2/video/sm2_teaser_high.asx",
        "CAR":"http://www.disney.co.jp/movies/cars/yokoku/media/eng_300k.wmv",
        "5cm":"http://rd.yahoo.co.jp/tokushu/5cm/teaser01/?http://i.yimg.jp/images/evt/5cm/teaser8000k1280_720.wmv"
    }
}

app = new App;
app.start();